<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Basis\KursPlanung\KursKopie;

class KursKopiePresenter extends \Kufer\Web\KuferTools\Basis\Uebersicht\UebersichtMitWssPresenter
{
  protected function getBlaetternAction()
  {
    return 'kurskopie';
  }

  protected function getPanelTitle($kurs): string
  {
    return $kurs->kurzbez . ' (' . $kurs->id . ')';
  }

  protected function getPanelTitleLink($kurs): string
  {
    return 'index.php?tool_id=' . $this->useCaseResponse->toolId . '&action=kursvorschlag&knr=' . urlencode($kurs->id);
  }

  protected function getDatamodulFuerUeberschriftszeile()
  {
    return new \Kurs();
  }

  protected function getView()
  {
    return new KursKopieView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new KursKopieViewModel();
    $viewModel->blaettern = \Kufer\Web\KuferTools\Basis\Blaettern\BlaetternLeiste::getBlaetternLeiste('kurskopie', $this->useCaseResponse->toolId, $this->useCaseResponse->blaettern);
    $viewModel->columns = $this->useCaseResponse->columns;
    $viewModel->toolId = $this->useCaseResponse->toolId;
    $viewModel->uebersichtAlsTabelle = $this->useCaseResponse->uebersichtAlsTabelle;
    $viewModel->toolSection = $this->useCaseResponse->toolSection;
    $viewModel->toolSettings = $this->useCaseResponse->toolSettings;

    return $viewModel;
  }

  protected function getJsFilesSrcAryWeitere(): array
  {
    return array(
      $this->getJsFileFromSys('kursuebersicht.js'),
      $this->getJsFileFromSys('filter.js'),
      $this->getJsFileFromSys('doz_kursplanung.js')
    );
  }

  protected function getPanelLinkText()
  {
    return 'Kurs kopieren';
  }

  protected function getPanelLinkSymbol()
  {
    return 'fa fa-exchange';
  }
}